<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.JFXButton?>
<?import com.jfoenix.controls.JFXComboBox?>
<?import de.jensd.fx.glyphs.fontawesome.FontAwesomeIcon?>
<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ScrollPane?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.effect.DropShadow?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.Pane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.layout.StackPane?>
<?import javafx.scene.text.Font?>

<StackPane fx:id="stackPane" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="org.buffalocoder.quanlyquancafe.client.controller.nhanvien.HomeController">
    <AnchorPane prefHeight="800.0" prefWidth="1500.0">
        <Pane fx:id="pane_ThongKe" prefHeight="800.0" prefWidth="1500.0">
            <Pane prefHeight="800.0" prefWidth="350.0" style="-fx-background-color: white;">
                <effect>
                    <DropShadow />
                </effect>
                <Pane prefHeight="50.0" prefWidth="350.0" style="-fx-background-color: #0277BD;">
                    <effect>
                        <DropShadow />
                    </effect>
                    <TextField layoutX="23.0" layoutY="10.0" prefHeight="30.0" prefWidth="312.0" promptText="Nhập tên món hoặc mã món" />
                </Pane>
                <Pane layoutY="50.0" prefHeight="50.0" prefWidth="350.0" style="-fx-background-color: #FBFCFE;">
                    <Label fx:id="lblTenNhanVien" layoutX="27.0" layoutY="15.0" prefHeight="21.0" prefWidth="198.0" text="Trường" textFill="#888888">
                        <graphic>
                            <FontAwesomeIcon fill="#888888" glyphName="USER" />
                        </graphic>
                    </Label>
                    <Label layoutX="242.0" layoutY="15.0" prefHeight="21.0" prefWidth="100.0" style="-fx-font-weight: bold;" text="Giờ vào: 11h" />
                </Pane>
                <Pane fx:id="pane_Order" layoutY="100.0" prefHeight="700.0" prefWidth="350.0">
                    <children>
                        <Pane layoutY="636.0" prefHeight="64.0" prefWidth="350.0" style="-fx-background-color: #0277BD;">
                            <children>
                                <Label layoutX="32.0" layoutY="18.0" style="-fx-font-weight: bold;" text="Thanh toán" textFill="WHITE">
                                    <font>
                                        <Font size="18.0" />
                                    </font>
                                </Label>
                                <JFXButton fx:id="btn_ThanhToan" layoutX="285.0" onMouseClicked="#moThanhToan" prefHeight="64.0" prefWidth="65.0" style="-fx-background-color: #F5B907;" text=" ">
                                    <graphic>
                                        <FontAwesomeIcon glyphName="ANGLE_UP" size="2em" wrappingWidth="22.285715103149414" />
                                    </graphic>
                                    <padding>
                                        <Insets left="10.0" />
                                    </padding>
                                </JFXButton>
                            </children>
                        </Pane>
                        <ScrollPane layoutY="-11.0" prefHeight="647.0" prefWidth="350.0">
                            <content>
                                <GridPane fx:id="GridPaneDatMon" prefHeight="646.0" prefWidth="350.0">
                                    <columnConstraints>
                                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" />
                                    </columnConstraints>
                                    <rowConstraints>
                                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                    </rowConstraints>

                                    <children>
                                        <!--               <Pane prefHeight="200.0" prefWidth="200.0" GridPane.rowIndex="1" />-->
                                        <!--               <Pane prefHeight="200.0" prefWidth="200.0" GridPane.rowIndex="2" />-->
                                        <!--               <Pane prefHeight="200.0" prefWidth="200.0" GridPane.rowIndex="3" />-->
                                        <!--               <Pane prefHeight="200.0" prefWidth="200.0" GridPane.rowIndex="4" />-->
                                        <!--               <Pane prefHeight="200.0" prefWidth="200.0" GridPane.rowIndex="5" />-->
                                        <!--               <Pane prefHeight="200.0" prefWidth="200.0" GridPane.rowIndex="6" />-->
                                        <!--               <Pane prefHeight="200.0" prefWidth="200.0" GridPane.rowIndex="7" />-->
                                        <!--               <Pane prefHeight="200.0" prefWidth="200.0" GridPane.rowIndex="8" />-->
                                        <!--               <Pane prefHeight="200.0" prefWidth="200.0" GridPane.rowIndex="9" />-->
                                        <Pane prefHeight="200.0" prefWidth="350.0" style="-fx-border-color: black; -fx-border-width: 1 0 1 0;">
                                            <children>
                                                <Label layoutX="29.0" layoutY="15.0" text="3">
                                                    <font>
                                                        <Font size="25.0" />
                                                    </font>
                                                </Label>
                                                <Label layoutX="59.0" layoutY="14.0" text="Cafein phê">
                                                    <font>
                                                        <Font size="14.0" />
                                                    </font>
                                                </Label>
                                                <Label layoutX="59.0" layoutY="34.0" text="B0001" />
                                                <Label layoutX="206.0" layoutY="24.0" text="x10,000">
                                                    <font>
                                                        <Font size="14.0" />
                                                    </font>
                                                </Label>
                                                <Label layoutX="278.0" layoutY="24.0" text="x30,000">
                                                    <font>
                                                        <Font size="14.0" />
                                                    </font>
                                                </Label>
                                            </children>
                                        </Pane>
                                    </children>
                                </GridPane>
                            </content>
                        </ScrollPane>
                    </children>
                </Pane>
            </Pane>
            <Pane layoutX="350.0" prefHeight="50.0" prefWidth="1150.0" style="-fx-background-color: #0277BD;">
                <Label fx:id="lblTenNguoiDung" layoutX="960.0" layoutY="10.0" prefHeight="31.0" prefWidth="176.0" style="-fx-border-color: white; -fx-border-width: 0 0 0 1;" textFill="WHITE">
                    <font>
                        <Font size="16.0" />
                    </font>
                    <padding>
                        <Insets left="32.0" />
                    </padding>
                    <graphic>
                        <FontAwesomeIcon fill="WHITE" glyphName="USER" />
                    </graphic>
                </Label>
                <JFXButton fx:id="btn_ThongKe" layoutX="28.0" layoutY="10.0" onMouseClicked="#handleButtonMouse" prefHeight="31.0" prefWidth="130.0" style="-fx-font-weight: bold;" text="Thống kế" textFill="WHITE">
                    <graphic>
                        <FontAwesomeIcon fill="WHITE" glyphName="BAR_CHART" />
                    </graphic>
                </JFXButton>
                <JFXButton layoutX="165.0" layoutY="10.0" onAction="#onClickQuanLy" onMouseClicked="#handleButtonMouse" prefHeight="31.0" prefWidth="130.0" style="-fx-font-weight: bold;" text="Quản lý" textFill="WHITE">
                    <graphic>
                        <FontAwesomeIcon fill="WHITE" glyphName="DIAMOND" />
                    </graphic>
                </JFXButton>
                <JFXButton fx:id="btn_DoiMatKhau" layoutX="811.0" layoutY="10.0" onMouseClicked="#handleButtonMouse" prefHeight="31.0" prefWidth="130.0" style="-fx-font-weight: bold;" text="Đổi mật khẩu" textFill="WHITE">
                    <graphic>
                        <FontAwesomeIcon fill="WHITE" glyphName="LOCK" />
                    </graphic>
                </JFXButton>
                <JFXButton layoutX="669.0" layoutY="9.0" onAction="#onClickDangXuat" onMouseClicked="#handleButtonMouse" prefHeight="31.0" prefWidth="130.0" style="-fx-font-weight: bold; -fx-background-color: #BF4E5C;" text="Đăng Xuất" textFill="WHITE">
                    <graphic>
                        <FontAwesomeIcon fill="WHITE" />
                    </graphic>
                </JFXButton>
                <JFXComboBox layoutX="436.0" layoutY="11.0" prefHeight="31.0" prefWidth="139.0" />
                <Label layoutX="360.0" layoutY="17.0" style="-fx-font-weight: bold;" text="Danh mục" textFill="WHITE">
                    <font>
                        <Font size="13.0" />
                    </font>
                </Label>
            </Pane>
            <Pane layoutX="350.0" layoutY="50.0" prefHeight="100.0" prefWidth="1150.0" style="-fx-background-color: #FBFCFE; -fx-border-color: black; -fx-border-width: 0 0 1 0;">
                <JFXButton fx:id="btn_TatcaBan" layoutX="30.0" layoutY="30.0" onMouseClicked="#handleButtonMouse" prefHeight="40.0" prefWidth="100.0" style="-fx-background-color: #C6C6C6; -fx-border-radius: 0%;" styleClass="button-raised" text="Tất cả bàn" />
                <JFXButton fx:id="btn_BanSudung" layoutX="150.0" layoutY="30.0" prefHeight="40.0" prefWidth="130.0" style="-fx-background-color: #C6C6C6; -fx-border-radius: 0%;" styleClass="button-raised" text="Đang sử dụng" />
                <JFXButton fx:id="btn_BanControng" layoutX="300.0" layoutY="30.0" prefHeight="40.0" prefWidth="100.0" style="-fx-background-color: #C6C6C6; -fx-border-radius: 10 10 0 0;" styleClass="button-raised" text="Còn trống" />
                <JFXButton fx:id="btn_SodoMonan" layoutX="944.0" layoutY="30.0" onMouseClicked="#handleButtonMouse" prefHeight="40.0" prefWidth="164.0" style="-fx-background-color: #C6C6C6; -fx-border-radius: 10 10 0 0;" styleClass="button-raised" text="Danh sách món">
                    <graphic>
                        <FontAwesomeIcon glyphName="LIST_OL" />
                    </graphic>
                </JFXButton>
            </Pane>
            <Pane fx:id="pane_Tong" layoutX="350.0" layoutY="150.0" prefHeight="650.0" prefWidth="1150.0" style="-fx-background-color: #F2F2F2;" />
        </Pane>
    </AnchorPane>
</StackPane>
